/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
   

   
@font-face {
    font-family: 'Geist-Pixel' ;
    src: url('GeistPixel-Circle.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

body {
  color: white;
  background-color: black;
  background-image: url('wall.png'); 
   background-position: center;
  background-repeat: repeat; 
    background-attachment: fixed; 
  font-family: 'Geist-Pixel', Arial, sans-serif;
  text-align: center; 
}

#mypopover:popover-open {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-width: 300px;
  min-height: 150px;
  padding: 20px;
  background-color: rgba(255, 255, 255, 0.7);
  color: black;
  border: solid black;
  border-width: 0;
  border-radius: 20px
}

.settingbutton {
  background: rgba(0, 0, 0, 0.3);
  border: 1px solid rgba(0, 0, 0, 0);
  color: #ffffff;
  cursor: pointer;
  padding: 5px 10px;
  border-radius: 95px;
  font-family: 'Geist-Pixel', system-ui, sans-serif;
  font-weight: 500;
  transition: background 0.1s;
}

.settingbutton:hover {
  background: rgba(0, 0, 0, 0.2)
}

.flex-center {
  display: flex;
  flex-direction: column; 
  align-items: center;    
  justify-content: center;
}

.top-right-player {
    position: fixed;
    top: 20px;
    right: 20px;
    background-color: rgba(18, 18, 18, 0.7);
    border: 4px solid rgba(255, 255, 255, 0.1);
    padding: 10px 16px;
    border-radius: 6px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.5);
    z-index: 99999;
    font-family: 'Geist-Pixel', BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
    display: flex;
    flex-direction: column;
    gap: 3px;
    width: 200px;
}

.status-indicator {
    display: flex;
    align-items: center;
    gap: 6px;
    font-size: 9px;
    font-weight: bold;
    letter-spacing: 1px;
    color: white;
}
